#!/usr/bin/perl -T

use strict;
use warnings;

#*******************************************************************************
# Mentat::System module/class tests
#
# Author:   Jan Mach, jan.mach@cesnet.cz
# Version:  0.1
# Purpose:
#
#*******************************************************************************

use Data::Dumper;
#use Smart::Comments;

use Test::More tests => 2;

# First test if the module correctly compiles
BEGIN {
        use vars qw($TESTED_CLASS);
        $TESTED_CLASS = 'Mentat::System';

        use_ok('Tester');
        use_ok($TESTED_CLASS);
    }

# Debug output explicit ON switch
#Tester::DEBUG_ON();

# Debug output explicit OFF switch
#Tester::DEBUG_OFF();

# User should know, which version is beeing tested (just for sure)
diag("$TESTED_CLASS version: " . $Mentat::System::VERSION) if Tester::D();

#diag(Dumper(Mentat::System->runlogs_load('/var/mentat/run')));
#diag(Dumper(Mentat::System->runlogs_clean('/var/mentat/run')));
#diag(Dumper(Mentat::System->logs_list('/var/mentat/log')));
#diag(Dumper(Mentat::System->logs_clean('/var/mentat/log')));
#diag(Dumper(Mentat::System->spool_list('/var/mentat/spool')));
diag(Dumper(Mentat::System->spool_clean('/var/mentat/spool')));
#diag(Dumper(Mentat::System->script_list('/etc/mentat/scripts')));
#diag(Dumper(Mentat::System->pidfile_list('/var/mentat/run')));
#diag(Dumper(Mentat::System->pidfile_clean('/var/mentat/run')));
#diag(Dumper(Mentat::System->cache_list('/var/mentat/charts')));
#diag(Dumper(Mentat::System->cache_clean('/var/mentat/charts', 300)));
